> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Key

> Retrieve details for a specific API key.

Requires the `read:api_credentials` permission, available to users with a `member` or `owner` role in the organization that owns the application.

Returns:
    API key details including permissions and timestamps.

Security Note:
    This endpoint only returns metadata about the API key.
    API secrets cannot be retrieved after creation.



## OpenAPI

````yaml GET /api-keys/{api_key}
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /api-keys/{api_key}:
    get:
      tags:
        - api-keys
      summary: Get Api Key
      description: >-
        Retrieve details for a specific API key.


        Requires the `read:api_credentials` permission, available to users with
        a `member` or `owner` role in the organization that owns the
        application.


        Returns:
            API key details including permissions and timestamps.

        Security Note:
            This endpoint only returns metadata about the API key.
            API secrets cannot be retrieved after creation.
      operationId: get_api_key_api_keys__api_key__get
      parameters:
        - name: api_key
          in: path
          required: true
          schema:
            type: string
            title: Api Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiKeyInfo:
      properties:
        name:
          type: string
          title: Name
        api_key:
          type: string
          title: Api Key
        permissions:
          items:
            type: string
            enum:
              - read:applications
              - read:organizations
              - read:traces
              - update:applications
              - update:organizations
              - write:traces
          type: array
          title: Permissions
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - name
        - api_key
        - permissions
        - created_at
        - updated_at
      title: ApiKeyInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````